The XMLDiff\DOM class

- « XMLDiff\Base::merge

- XMLDiff\DOM::diff »

- PHP Manual
- XMLDiff
- The XMLDiff\DOM class

# The XMLDiff\DOM class

(PECL xmldiff >= 0.8.0)

## Introduction

## Class synopsis

class XMLDiff\DOM extends XMLDiff\Base {
/* Methods */
public diff(DOMDocument `$from`, DOMDocument `$to`): DOMDocument
public merge(DOMDocument `$src`, DOMDocument `$diff`): DOMDocument
/* Inherited methods */
abstract public XMLDiff\Base::diff(mixed `$from`, mixed `$to`): mixed
abstract public XMLDiff\Base::merge(mixed `$src`, mixed `$diff`): mixed
}

## Table of Contents

- XMLDiff\DOM::diff — Diff two DOMDocument objects
- XMLDiff\DOM::merge — Produce merged DOMDocument